#ifndef EDGE_H
#define EDGE_H

#include "baseobject.h"
#include "player.h"
#include "shapeless.h"

class Edge : public BaseObject
{
	public:
	Edge (float x, float y);
	~Edge ();

	virtual void draw ();
	virtual void update (float delta_t, WorldModifier& worldmodifier) { }
	void setPosition (float x, float y);
	TiXmlNode& getXMLRepresentation ();


	private:
	class EdgeShape;

	class EdgeShape : public Shapeless
	{
		public:
		EdgeShape () { /* empty */ }
		
		void manipulate (Player* player, WorldModifier& worldmodifier, float delta_t);
	}edgeshape;
};

#endif // EDGE_H
