#ifndef MENU_OBJECT_H
#define MENU_OBJECT_H

#include <SDL/SDL.h>

#include "../tinyxml/tinyxml.h"

namespace SimpleMenu {
	class Frame;
}

namespace SimpleMenu
{
	class MenuObject
	{
		public:

		MenuObject () { parent = 0; }
		virtual ~MenuObject () { /* must be defined */};

		virtual void selected () = 0;
		virtual void handleKeyPress (SDL_keysym key) = 0;
		virtual void draw (float w, float h, float x, float y) = 0;
		//bool selectable () {return selectable; }

		protected:

		Frame* parent;

		//const bool selectable;
	};
}

#endif // MENU_OBJECT_H
