#ifndef WIDGET_H
#define WIDGET_H

#include <string>
#include <SDL/SDL.h>

#include "menuobject.h"
#include "callback.h"

namespace SimpleMenu
{
	class Widget : public MenuObject
	{
		public:
	
		Widget ();
		~Widget ();

		string getId () {return id; }
		void setCallback (Callback* callback) { this->callback = callback; }

		protected:
		Callback* callback;
		string id;
	};
}

#endif // WIDGET_H
