#include <iostream>

#include "square.h"

Square::Square ()
{
}

Square::~Square ();

bool Square::check (Shape* shape)
{
	if (shape == this) // you can't collide with yourself
		return false;

	return shape->check (this);
}

bool Square::check (Square* sq)
{
	/*perform square square test*/ 
// 	std::cout << "Square::check (Square* square)" << std::endl;

	// check if lower left corner is inside the other square
	if (x - sidelength  >= sq->x - sq->sidelength && x - sidelength <= sq->x + sq->sidelength &&
		 y - sidelength  >= sq->y - sq->sidelength && y - sidelength <= sq->y + sq->sidelength)
		return true;

	// check if upper left corner is inside the other square
	if (x - sidelength  >= sq->x - sq->sidelength && x - sidelength <= sq->x + sq->sidelength &&
		 y + sidelength  >= sq->y - sq->sidelength && y + sidelength <= sq->y + sq->sidelength)
		return true;

	// check if lower right corner is inside the other square
	if (x + sidelength  >= sq->x - sq->sidelength && x + sidelength <= sq->x + sq->sidelength &&
		 y - sidelength  >= sq->y - sq->sidelength && y - sidelength <= sq->y + sq->sidelength)
		return true;

	// check if upper right corner is inside the other square
	if (x + sidelength  >= sq->x - sq->sidelength && x + sidelength <= sq->x + sq->sidelength &&
		 y + sidelength  >= sq->y - sq->sidelength && y + sidelength <= sq->y + sq->sidelength)
		return true;

	return false;
}

bool Square::check (Circle* circle)
{
	/* perform square circle test */
	std::cout << "Square::check (Circle* circle)" << std::endl;
	return false;
}

bool Square::check (Shapeless* shapeless)
{
	return false;
}

float Square::getx ()
{
	return x;
}

float Square::gety ()
{
	return y;
}
