#ifndef SQUARE_H
#define SQUARE_H

#include "shape.h"

class Shapeless;
class Circle;
class Player;

class Square : public Shape
{
	public:

	Square ();
	virtual ~Square () { };
	
	virtual bool check (Shape* shape);
 	virtual bool check (Square* square);
 	virtual bool check (Circle* circle);
	virtual bool check (Shapeless* shapeless);

	virtual float getx ();
	virtual float gety ();

	/* properties */
	float x, y;			// center position
	float sidelength; // lenght of square side
};

#endif // SQUARE_H
