#include <iostream>

#include "circle.h"

Circle::Circle ()
{
}

Circle::~Circle ()
{
}

bool Circle::check (Shape* shape)
{
	if (shape == this) // don't collide with yourself
		return false;

	return shape->check (this);
}

bool Circle::check (Square* square)
{
	/* perform square circle collision */
	std::cout << "Circle::check (Square* square)" << std::endl;
	return false;
}

bool Circle::check (Circle* circle)
{
 	/* perform circle circle collision */
	std::cout << "Circle::check (Circle* circle)" << std::endl;
	return false;
}

bool Circle::check (Shapeless* shapeless)
{
	std::cout << "Circle::check (Shapeless* shapeless)" << std::endl;
	return false;
}
