#ifndef CURSOR_H
#define CURSOR_H

#include "baseobject.h"
#include "player.h"
#include "square.h"

class Cursor : public BaseObject
{
	public:
	Cursor (float x, float y);
	~Cursor ();

	virtual void draw ();
	virtual TiXmlNode& getXMLRepresentation ();
	virtual void update (float delta_t, WorldModifier& worldmodifier) { }
	void setPosition (float x, float y);

	private:

	class CursorShape;
	friend class CursorShape;

	class CursorShape : public Square
	{
		public:
		CursorShape (Cursor* cursor_p) { this->cursor_p = cursor_p; }
		
		void manipulate (Player* player, WorldModifier& worldmodifier, float delta_t) { }

		private:
		Cursor* cursor_p;
	}cursorshape;
};

#endif // CURSOR_H
