#ifndef HIGHSCORES_H
#define HIGHSCORES_H

#include <map>

using std::map;
using std::string;

class HighScores
{
	public:

	HighScores (string highscore_file);
	~HighScores ();

	bool checkRecord (int score, string levelname);
	void updateRecord (int score, string levelname, string nickname);

	void loadHighScores ();
	void saveHighScores ();

	private:

	struct Record
	{
		int score;
		string levelname;
		string recordholder;
	};

	map<string, Record> highscores;
	string highscorefile;
};

#endif // HIGHSCORE_H
