#ifndef SHAPE_H
#define SHAPE_H

// #include "worldmodifier.h"

//#include "player.h"

// #include "square.h"
// #include "circle.h"

class WorldModifier;
class Player;
class Shapeless;
class Square;
class Circle;

class Shape
{
	public:

	Shape () { };
	virtual ~Shape () { };

	virtual void manipulate (Player* player, WorldModifier& worldmodifier, float delta_t) = 0;

	virtual bool check (Shape *shape) = 0;
 	virtual bool check (Square *square) = 0;
 	virtual bool check (Circle *circle) = 0;
	virtual bool check (Shapeless *shapeless) = 0;

	virtual float getx () = 0;
	virtual float gety () = 0;
};

#endif // SHAPE_H
