#ifndef SHAPELESS_H
#define SHAPELESS_H

#include "shape.h"
#include "player.h"

class Circle;
class Square;

class Shapeless : public Shape
{
	public:

	Shapeless ();
	virtual ~Shapeless () { };
	
	virtual bool check (Shape* shape);
 	virtual bool check (Square* square);
 	virtual bool check (Circle* circle);
	virtual bool check (Shapeless* shapeless);

	virtual float getx ();
	virtual float gety ();

	/* properties */
	float x, y;			// center position
};

#endif // SHAPELESS_H
